<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:panelGroup rendered="#{!statisticsCommonBeanGui.isAdminOrTSM()}">
    <s:decorate template="/layout/cards/_card.xhtml">
        <ui:param name="showCard" value="#{SUTSummaryBeanGui.checkRole()}"/>
<!--        <ui:param name="columns" value="col-sm-12 col-md-3 col-md-offset-3" />-->
        <ui:define name="card-header">
            <i class="fa fa-laptop" />
            <span>#{messages['net.ihe.gazelle.tm.ParticipatingSUTs']}</span>
        </ui:define>
        <ui:define name="card-body">
            <c:set var="numberOfRegisteredSUTs" value="#{SUTSummaryBeanGui.getNumberOfRegisteredSUTs()}" />
            <h:panelGroup rendered="#{numberOfRegisteredSUTs > 0}">
                <div class="col-sm-12 ">
                    <p>
                        #{messages['net.ihe.gazelle.tm.YourOrganizationHasRegistered']} <strong>#{numberOfRegisteredSUTs}</strong>
                        #{messages['net.ihe.gazelle.tm.SystemsUnderTestForThisTestSession']}
                    </p>
                    <ul>
                        <li><strong>#{SUTSummaryBeanGui.getNumberOfInProgressSUTs()}</strong> #{messages['net.ihe.gazelle.tm.WithStatusInProgress']}</li>
                        <li><strong>#{SUTSummaryBeanGui.getNumberOfCompletedSUTs()}</strong> #{messages['net.ihe.gazelle.tm.WithStatusCompleted']}</li>
                    </ul>
                    <c:set var="numberOfSUTMissingDependencies" value="#{SUTSummaryBeanGui.getNumberOfSystemsWithMissingDependencies()}" />
                    <s:div rendered="#{numberOfSUTMissingDependencies > 0}" styleClass="gzl-alert gzl-alert-orange">
                     <span>
                        <i class="glyphicon glyphicon-warning-sign" />
                        #{numberOfSUTMissingDependencies} #{messages['net.ihe.gazelle.tm.OfYourSystemUnderTestRequireYourAttentionBecause']}
                    </span>
                    </s:div>
                    <s:div rendered="#{SUTSummaryBeanGui.showSUTLateAlert() == true}" styleClass="gzl-alert gzl-alert-red">
                     <span>
                        <i class="glyphicon glyphicon-remove-sign" />
                         #{messages['net.ihe.gazelle.tm.NoneOfYourSystemsUnderTestIsAcceptedToTheSession']}<br />
                         #{messages['net.ihe.gazelle.tm.ContactATestSessionManagerForFurtherGuidanceWith']}
                    </span>
                    </s:div>
                </div>
            </h:panelGroup>
            <h:panelGroup rendered="#{numberOfRegisteredSUTs == 0}">
                <div class="col-sm-12">
                    <h3>#{messages['net.ihe.gazelle.tm.NoSUTRegisteredYet']}</h3>
                </div>
            </h:panelGroup>
        </ui:define>
        <ui:define name="card-footer">
            <h:panelGroup rendered="#{SUTSummaryBeanGui.showAddImportSUTButton() == true}">
                <div class="col-lg-4 col-md-6">
                    <h:commandButton id="addSUT" styleClass="gzl-btn gzl-btn-green form-control"
                                     value="#{messages['net.ihe.gazelle.tm.AddASUT']}" action="#{SUTSummaryBeanGui.addSUTButton()}"/>
                </div>
                <div class="col-lg-4 col-md-6">
                    <h:commandButton id="importSUT" styleClass="gzl-btn gzl-btn-green form-control"
                                     value="#{messages['net.ihe.gazelle.tm.ImportASUT']}" action="#{SUTSummaryBeanGui.importSUTButton()}"/>
                </div>
            </h:panelGroup>
            <div class="col-lg-4 col-md-6">
                <h:commandButton id="manageSUTs" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.ManageSUTs']}" action="#{SUTSummaryBeanGui.manageSUTsButton()}"/>
            </div>
        </ui:define>
    </s:decorate>
    </h:panelGroup>

    <h:panelGroup rendered="#{statisticsCommonBeanGui.isAdminOrTSM()}">
        <s:decorate template="../../pie-chart.xhtml">
            <ui:param name="iconBeforeTitle" value="#{messages['net.ihe.gazelle.tm.FaFalaptop']}"/>
            <ui:param name="headerTitle"
                      value="#{messages['net.ihe.gazelle.tm.ParticipatingSUTs']}"/>
            <ui:param name="information"
                      value="#{statisticsForPreparationPhaseBeanGui.getNumberOfRegisteredSystemInSession()} #{messages['net.ihe.gazelle.tm.SUTsFrom']}
                      #{statisticsForPreparationPhaseBeanGui.getNumberOfRegisteredInstitutionWithSystem()} #{messages['net.ihe.gazelle.tm.OrganizationsAreRegistered']}"/>
            <ui:param name="values"
                      value="#{statisticsForRegistrationPhaseBeanGui.getSystemInSessionStatsForCurrentSession()}"/>
            <ui:param name="labelValues"
                      value="[&quot;#{messages['gazelle.tm.Accepted']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.RegistrationStatus.dropped']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.RegistrationStatus.in_progress']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.RegistrationStatus.completed']}&quot;]"/>
            <ui:param name="colors"
                      value="#{statisticsForRegistrationPhaseBeanGui.getColorsForSystemInSessionChart()}"/>
            <ui:param name="myChartId" value="chartParticipating SUTs"/>
            <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.StatusOfSUTs']}"/>
            <ui:define name="card-footer">
                <h:commandButton id="manageSUT" styleClass="gzl-btn gzl-btn-green form-control"
                                 value="#{messages['net.ihe.gazelle.tm.ManageSUT']}"
                                 action="#{statisticsForRegistrationPhaseBeanGui.getManageSUTsLink()}"/>
            </ui:define>
        </s:decorate>
    </h:panelGroup>



</ui:composition>